package com.chenyang.nse.bussiness.jar.util;

public class FilePathUtil {
   public static String getJarRootPath() {
      String path = FilePathUtil.class.getResource("/").getPath();
      int i2 = path.indexOf("/");
      int i = path.indexOf(".jar!");
      if (i > 0) {
         path = path.substring(i2 + 1, i);
      }

      int i3 = path.lastIndexOf("/");
      path = path.substring(0, i3 + 1);
      int i1 = path.indexOf(":");
      if (!path.startsWith("/")) {
         path = "/" + path;
      }

      if (path.endsWith("/")) {
         path = path.substring(0, path.length() - 1);
      }

      return path;
   }
}
